Doomsday Engine - Bug #2302

Crosshair not showing (line width < 1)
2018-12-13 09:04 - BFG10K

Status: Closed Start date: 2018-12-13
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Regression

Target version: 2141

Description

| get no cross-hair displayed on 2.1 (tested in Hexen and Heretic).
The same settings work fine on 2.0.3 and give me a correct white cross.

Doomsday 32 bit.

Windows 7 (64 bit), December 2018 rollup.
Amplified preset.

Stock WADs and default game assets only.
nVidia 1070.

Associated revisions

Revision 9766953d - 2018-12-14 07:53 - skyjake

All Games: Minimum valid value for "view-cross-width"

IssuelD #2302

Revision 6bef6233 - 2018-12-14 07:55 - skyjake

All Games: Minimum valid value for "view-cross-width"

IssuelD #2302

History

#1 - 2018-12-13 09:17 - skyjake
- Category set to Regression
- Assignee set to skyjake

- Target version set to 2.1.1

May be a late regression, I'll take a look.

#2 - 2018-12-13 11:54 - skyjake

What is the value of your crosshair thickness setting, cvar "view-cross-width"?

For me, setting a thickness of less than 1.0 causes the crosshair to disappear. | can address that at least.

#3 - 2018-12-13 14:13 - BFG10K
- File game.cfg added

Do you mean view-cross-size? It's 0.2.

I've uploaded my config file to help you debug.

#4 - 2018-12-13 16:29 - skyjake

In your config you have view-cross-width 0, which means the crosshair lines are 0 pixels thick, and thus invisible.

What happens if you use the Options > HUD menu to try make the crosshair lines thicker?

#5 - 2018-12-14 07:57 - skyjake
- Status changed from New to In Progress

- % Done changed from 0 to 50
#6 - 2018-12-14 10:41 - BFG10K
It appears when view-cross-width becomes 1 (two notches from leftmost side). The value of 0 worked in 2.03.

Maybe remove the none symbol value and let the slider go to zero.
Or stop the slider from hitting zero, and use none to toggle it.

Having both of them capable of toggling it seems redundant.

#7 - 2018-12-14 10:43 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

Yeah, this will be fixed by not allowing zero thickness.

#8 - 2018-12-14 10:46 - BFG10K

Thank you for your time Skyjake, | really appreciate this amazing piece of software you've given to the community.

#9 - 2018-12-15 08:50 - skyjake

- Status changed from Resolved to Closed

Glad to hear you like it. 3)

#10 - 2018-12-17 08:58 - skyjake

- Subject changed from 2.1 Crosshair not showing to 2.1 Crosshair not showing (line width < 1)

#11 - 2018-12-17 09:00 - skyjake

- Subject changed from 2.1 Crosshair not showing (line width < 1) to Crosshair not showing (line width < 1)

Files

game.cfg 27.3 KB 2018-12-13
